Subject: Re: bug#63731: [PATCH] Support Emoji Variation Sequence 16 (FE0F) where appropriate

From: Eli Zaretskii <[email-masked]>
Date: Wed, 31 May 2023 19:18:22 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 31 May 2023 18:11:36 +0200
> 
> >>>>> On Tue, 30 May 2023 19:32:23 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     >> (set-char-table-range
>     >> composition-function-table
>     >> #x1F44D 
>     >> '(["\U0001f44d\ufe0f" 0 font-shape-gstring]))
>     >> 
>     >> gives me this, where the two '|' align perfectly.
> 
>     Eli> Here, there _is_ a composition.
> 
>     Eli> So there are two issues here: (a) why there's no composition in the
>     Eli> first case, and (b) why does "C-u C-x =" says there is when there
>     Eli> isn't.
> 
> OK. I can poke around in gdb if you give me some idea of what I should
> be looking at.

I don't really know.  I plan to just step through the code in
composite.c tomorrow, unless you beat me to it.  Once we understand
issue (a), I think we will also understand issue (b).